routes/web.php
<?php

use Illuminate\Support\Facades\Route;
//use App\Http\Controllers\TestController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('password/reset/{token}', 'Auth\ResetPasswordController@showResetForm')->name('backpack.auth.password.reset.token');
Route::get('email/verify', 'Auth\VerificationController@show')->name('verification.notice');
Route::get('email/verify/{id}/{hash}', 'Auth\VerificationController@verify')->name('verification.verify');
Route::post('email/resend', 'Auth\VerificationController@resend')->name('verification.resend');

Route::group([
    'prefix' => '{locale?}', 
    'where' => ['locale' => '[a-zA-Z]{2}'],
    'middleware' => 'setlocale'
], function() { 
    Route::get('/', "HomeController@main")->name('index');

    Route::get('/category/{category}/{class?}', 'CategoryController@showCategory')->name('categories');

    Route::get('/lessons/{category}/{class}/{theme}/{lesson?}', 'LessonController@showLesson')->name("lessons");

    Auth::routes(['verify' => true]);

    Route::group([
        'middleware' => ['auth', 'verified:index'],
        'prefix' => 'office',
    ], function() {
        Route::get('/', 'AccountController@index')->name('office');    
        Route::get('/history', 'AccountController@history')->name('office.history');    
        Route::get('/feed-back', 'AccountController@feedback')->name('office.feedback');    
        Route::get('/feed-back/send', 'AccountController@feedbackForm')->name('office.feedback.form');    
        Route::get('/edit', 'AccountController@edit')->name('personal');
        Route::post('/edit', 'AccountController@editPost')->name('personal.post');
    });

    Route::group([
        'middleware' => ['auth', 'verified:index']
    ], function () {
        Route::get('/tests/{class}/{lesson}/{num?}', 'TestController@showTest')->name("tests.start");
        Route::get('/finish/{class}/{lesson}', 'TestController@finishTest')->name("tests.finish");
        Route::post('/answer/save', 'UserAnswerController@saveAnswer')->name('answer.save');
    });

    Route::get ("/about", 'CatalogController@about')->name('about');
    
    Route::get ("/help", 'CatalogController@help')->name('help');

    Route::get ("/etiquette", 'CatalogController@etiquette')->name('etiquette');

    Route::get ("/patriot", 'CatalogController@patriot')->name('patriot');
    
    Route::get ("/usefull", 'CatalogController@usefull')->name('usefull');

});

Route::get('adminka/login', 'AccountController@adminLogin')->name('admin.login');
Route::post('adminka/login', 'AccountController@isAdmin')->name('admin.isAdmin');

Route::group([
    'middleware' => ['is.admin'],
    'prefix' => 'adminka',
], function() {
    Route::get("/", 'HomeController@showAdmin')->name("main");
    Route::resources([
        'tests' => TestController::class,
        'questions' => QuestionController::class,
        'answers' => AnswerController::class,
        'lessons' => LessonController::class,
        'media' => MediaController::class,
        'banners' => BannerController::class
    ]);
    Route::get('statistics/register/', 'StatisticsController@getRegister')->name('statistics.register');
    Route::get('statistics/balls/', 'StatisticsController@getBalls')->name('statistics.balls');
});




/*Route::prefix('adminka')->group(
    function () {
    Route::get("/", 'HomeController@showAdmin')->name("main");
    Route::resources([
        'tests' => TestController::class,
        'questions' => QuestionController::class,
        'answers' => AnswerController::class,
        'lessons' => LessonController::class,
        'media' => MediaController::class,
        'banners' => BannerController::class
    ]);
    Route::get('statistics/register/', 'StatisticsController@getRegister')->name('statistics.register');
    Route::get('statistics/balls/', 'StatisticsController@getBalls')->name('statistics.balls');
});*/

Route::get('lessons/get-lessons', 'LessonController@getLessons');

resources/views/admin/admin_menu.blade.php
<div id="container" class="container">
    <div class="admin_block">
        <div class="admin_block-pannel">
            <ul>
                <li><a href="{{ route('lessons.index') }}">Уроки</a></li>
                <li><a href="{{ route('tests.create') }}">Добавить тест</a></li>
                <li><a href="{{ route('media.index') }}">Медиа-ссылки</a></li>
                <li><a href="{{ route('banners.index') }}">Баннеры</a></li>
                <li><a href="{{ route('statistics.register') }}">Общая статистика</a></li>
                <li><a href="{{ route('statistics.balls') }}">Статистика по баллам</a></li>
                <li>
                    <a href="#"
                       onclick="event.preventDefault();
                    document.getElementById('logout-form').submit();"
                    >
                        <button class='vhod'>
                            {{ __('main.logout') }}
                        </button>
                    </a>
                    <form id="logout-form" action="{{ routex('logout') }}" method="POST" style="display: none;">
                        @csrf
                    </form>
                </li>
            </ul>
        </div>
    </div>
</div>

resources/views/admin/banner.blade.php
@extends('layouts.admin')

@section('styles')
    <link rel="stylesheet" href="{{ asset('css/myStyles.css') }}">
    <link rel="stylesheet" href="{{ asset('css/musical.css') }}">
    <link rel="stylesheet" href="{{ asset('css/new_change_country.css') }}">
@endsection

@section('content')
    @include('admin.admin_menu')
    <div class="admin_block-body">
        <div class="admin-add-block">
                    @if(isset($error))
                        <h3 style="color: red;">{{ $error }}</h3>
                    @endif
                    <form action="{{ isset($banner)?route('banners.update', $banner->id):route('banners.store') }}" method="post" enctype="multipart/form-data">
                        @if(isset($banner))
                            @method('PUT')
                        @endif
                        @csrf

                        <h2>Тип</h2>
                        <div>
                            <select name="type_id">
                                @foreach($types as $type)
                                    <option value="{{ $type->id }}" {{ isset($banner)&&$banner->type_id==$type->id?"selected":"" }} >{{ $type->name }}</option>
                                @endforeach
                            </select>
                        </div>

                            @if(isset($banner))
                            <div>
                                <img src="{{ asset($banner->image->path) }}" width="300px" height="auto">
                            </div>
                            @endif

                        <h2>Загрузить новое изображение</h2>
                        <div>
                            <input accept="image/png,image/jpeg, image/jpg" type="file" name="img"
                                    {{ (isset($banner) && empty($banner->image->id)) ? 'required' : '' }}>
                        </div>

                        <hr>
                        <div class="next-questions">
                            <button type="submit">Сохранить</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/admin/banners_all.blade.php
@extends('layouts.admin')

@section('styles')
    <link rel="stylesheet" href="{{ asset('css/myStyles.css') }}">
    <link rel="stylesheet" href="{{ asset('css/musical.css') }}">
    <link rel="stylesheet" href="{{ asset('css/new_change_country.css') }}">
@endsection

@section('content')
    @include('admin.admin_menu')
    <div class="admin_block-body">
        <div class="admin-add-block">
            <h2>Добавленные баннеры</h2>
            <a href="{{ route('banners.create') }}">Добавить баннер</a>
            <div id="questions" style="margin-top: 0px;">
                <table border="1" style="width: 100%">
                    <thead>
                    <tr>
                        <td>Тип</td>
                        <td>Изображение</td>
                        <td>Изменить</td>
                        <td>Удалить</td>
                    </tr>
                    </thead>
                    @if($banners->count()>0)
                        @foreach($banners as $banner)
                            <tr>
                                <td>{{ $banner->type->name }}</td>
                                <td>
                                    <img src="{{ asset($banner->image->path) }}" width="100px" height="50px">
                                </td>
                                <td>
                                    <a href="{{ route('banners.edit', $banner->id) }}">Изменить</a>
                                </td>
                                <td>
                                    <form method="post" action="{{ route('banners.destroy', $banner->id) }}">
                                        @method('delete')
                                        @csrf
                                        <button type="submit">X</button>
                                    </form>
                                </td>
                            </tr>
                        @endforeach
                    @endif
                </table>
            </div>
        </div>
    </div>
@endsection

resources/views/admin/create_lesson.blade.php
@extends('layouts.admin')

@section('styles')
    <link rel="stylesheet" href="{{ asset('css/myStyles.css') }}">
    <link rel="stylesheet" href="{{ asset('css/musical.css') }}">
    <link rel="stylesheet" href="{{ asset('css/new_change_country.css') }}">
@endsection

@section('content')
    @include('admin.admin_menu')
    <div class="admin_block-body">
        <div class="admin-add-block">
            <form action="{{ isset($lesson)?route('lessons.update', $lesson->id):route('lessons.store') }}" method="post">
                @csrf
                @if(isset($lesson))
                    @method('put')
                @endif

                <h4>По какой теме урок</h4>
                <select style="width: 100%;" name="theme_id" required id="theme">
                    @foreach($themes as $theme)
                        <option value="{{ $theme->id }}"
                                {{ (isset($lesson)&&$lesson->theme_id==$theme->id)?"selected":"" }}>
                            {{ $theme->name_ru }}</option>
                    @endforeach
                </select>
                <br><br>

                <h4>Учебная четверть и год</h4>
                <select style="width: 45%;" name="quarter_id" required id="quarter">
                    @foreach($quarters as $quarter)
                        <option value="{{ $quarter->id }}"
                                {{ (isset($lesson)&&$lesson->quarter_id==$quarter->id)?"selected":"" }}>
                            {{ __('main.'.$quarter->name) }}
                        </option>
                    @endforeach
                </select>

                <select style="width: 45%;" name="year_id" required id="year">
                    @foreach($years as $year)
                        <option value="{{ $year->id }}"
                                {{ (isset($lesson)&&$lesson->year_id==$year->id)?"selected":"" }}>
                            {{ $year->year }}
                        </option>
                    @endforeach
                </select>
                <br><br>

                <h4>Для какого класса</h4>
                <select style="width: 100%;" name="subcategory_id" required id="class">
                    @foreach($classes as $class)
                        <option value="{{ $class->id }}"
                        {{ (isset($lesson)&&$lesson->subcategory_id==$class->id)?"selected":"" }}>
                            {{ $class->name }}
                        </option>
                    @endforeach
                </select>
                <br><br>

                <h4>Название урока на русском (обязательно)</h4>
                <textarea style="width: 100%;" name="name_ru" required>{{ isset($lesson)?$lesson->name_ru:"" }}</textarea>
                <br><br>

                <h4>Название урока на казахском (обязательно)</h4>
                <textarea style="width: 100%;" name="name_kz" required>{{ isset($lesson)?$lesson->name_kz:"" }}</textarea>
                <br><br>

                <h4>Автор урока на русском</h4>
                <input style="width: 100%;" name="author_ru" value={{ isset($lesson)?$lesson->author_ru:"" }}>
                <br><br>

                <h4>Автор урока на казахском</h4>
                <input style="width: 100%;" name="author_kz" value={{ isset($lesson)?$lesson->author_kz:"" }}>
                <br><br>

                <h4>Лектор урока на русском</h4>
                <input style="width: 100%;" name="lecturer_ru" value={{ isset($lesson)?$lesson->lecturer_ru:"" }}>
                <br><br>

                <h4>Лектор урока на казахском</h4>
                <input style="width: 100%;" name="lecturer_kz" value={{ isset($lesson)?$lesson->lecturer_kz:"" }}>
                <br><br>

                <h4>Организация на русском</h4>
                <input style="width: 100%;" name="institute_ru"  value={{ isset($lesson)?$lesson->institute_ru:"" }}>
                <br><br>

                <h4>Организация на казахском</h4>
                <input style="width: 100%;" name="institute_kz" value={{ isset($lesson)?$lesson->institute_kz:"" }}>
                <br><br>

                <h4>Ссылка на урок на Youtube.com на русском языке {{ isset($lesson)?"":"(обязательно)" }}</h4>
                @if(isset($lesson))
                    <iframe width="30%" height="20%" style="border-radius: 10px;" src="https://www.youtube.com/embed/{{ $lesson->src_ru }}?rel=0&showinfo=0" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
                @endif
                <input style="width: 100%;" name="src_ru" placeholder="{{ isset($lesson)?"Новая ссылка":""}}" {{ isset($lesson)?"":"required"}}>
                <br><br>

                <h4>Ссылка на урок на Youtube.com на казахском языке {{ isset($lesson)?"":"(обязательно)" }}</h4>
                @if(isset($lesson))
                    <iframe width="30%" height="20%" style="border-radius: 10px;" src="https://www.youtube.com/embed/{{ $lesson->src_kz }}?rel=0&showinfo=0" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
                @endif
                <input style="width: 100%;" name="src_kz" placeholder="{{ isset($lesson)?"Новая ссылка":""}}" {{ isset($lesson)?"":"required"}}>
                <br><br>
                
                <button type="submit">Сохранить</button>
            </form>
        </div>
    </div>
@endsection

resources/views/admin/create_media.blade.php
@extends('layouts.admin')

@section('styles')
    <link rel="stylesheet" href="{{ asset('css/myStyles.css') }}">
    <link rel="stylesheet" href="{{ asset('css/musical.css') }}">
    <link rel="stylesheet" href="{{ asset('css/new_change_country.css') }}">
@endsection

@section('content')
    @include('admin.admin_menu')
    <div class="admin_block-body">
        <div class="admin-add-block">
            <form action="{{ isset($media)?route('media.update', $media->id):route('media.store') }}" method="post">
                @csrf

                @if(isset($media))
                    @method('put')
                @endif

                <h4>Тематика</h4>
                <select style="width: 100%;" name="theme_id" required id="theme">
                    @foreach($themes as $theme)
                        <option value="{{ $theme->id }}" {{ (isset($media)&&$media->theme_id==$theme->id)?"selected":"" }}>{{ $theme->name_ru }}</option>
                    @endforeach
                </select>
                <br><br>

                <h4>Для какого класса</h4>
                <select style="width: 100%;" name="subcategory_id" required id="class">
                    @foreach($classes as $class)
                        <option value="{{ $class->id }}" {{ (isset($media)&&$media->subcategory_id==$class->id)?"selected":"" }}>{{ $class->name }}</option>
                    @endforeach
                </select>
                <br><br>

                <h4>Заголовок к ссылке (обязательно)</h4>
                <input style="width: 100%;" name="name" required value="{{ isset($media)?$media->name:"" }}">
                <br><br>

                <h4>Краткое описание (чья постановка, часть и тд)</h4>
                <textarea style="width: 100%;" name="description" required>{{ isset($media)?$media->description:"" }}
                </textarea>
                <br><br>

                <h4>Ссылка на Youtube.com {{ isset($media)?"":"(обязательно)" }}</h4>
                @if(isset($media))
                    <iframe width="30%" height="20%" style="border-radius: 10px;" src="https://www.youtube.com/embed/{{ $media->src }}?rel=0&showinfo=0" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
                @endif
                <input style="width: 100%;" name="src" placeholder="{{ isset($media)?"Новая ссылка":""}}" {{ isset($media)?"":"required"}}>
                <br><br>

                <h4>Язык медиа-ссылки</h4>
                <select style="width: 100%" name="locale" required>
                    <option value="ru" {{ (isset($media)&&$media->locale=="ru")?"selected":"" }}>русский</option>
                    <option value="kz" {{ (isset($media)&&$media->locale=="kz")?"selected":"" }}>казахский</option>
                </select>
                <br><br>

                <button type="submit">Сохранить</button>
            </form>
        </div>
    </div>
@endsection

resources/views/admin/create_question.blade.php
@extends('layouts.admin')

@section('styles')
    <link rel="stylesheet" href="{{ asset('css/myStyles.css') }}">
    <link rel="stylesheet" href="{{ asset('css/musical.css') }}">
    <link rel="stylesheet" href="{{ asset('css/new_change_country.css') }}">
@endsection

@section('content')
    @include('admin.admin_menu')
        <div class="admin_block-body">
            <div class="admin-add-block">
                <a href="{{ routex('main') }}">Завершить</a>
                @if(isset($error))
                    <h3 style="color: red;">{{ $error }}</h3>
                @endif
                <form action="{{ routex('questions.store') }}" method="post">
                    @csrf
                    <input type="hidden" name="test_id" value="{{ $test_id }}">
                    <input type="hidden" name="answers_number" value="3">
                    <input type="hidden" name="ball" value="1">

                    <h2>Текст вопроса на русском</h2>
                    <div>
                        <textarea style="width: 100%;" name="text_ru" required>{{ isset($data)?$data['text_ru']:"" }}</textarea>
                    </div>

                    <h2>Текст вопроса на казахском</h2>
                    <div>
                        <textarea style="width: 100%;" name="text_kz" required>{{ isset($data)?$data['text_kz']:"" }}</textarea>
                    </div>

                    <hr>

                    <h2>Варианты ответов:</h2>

                    <div>
                        <h3>Ответ №1.</h3>
                        <input type="checkbox" name="is_correct_1" id="one">
                        <label for="one">Правильный</label>
                        <textarea style="width: 100%;" name="answer_text_ru_1" required placeholder="Текст ответа на русском языке">{{ isset($data)?$data['answer_text_ru_1']:"" }}</textarea>
                        <textarea style="width: 100%;" name="answer_text_kz_1" required placeholder="Текст ответа на казахском языке">{{ isset($data)?$data['answer_text_kz_1']:"" }}</textarea>
                    </div>
                    <hr>
                    <div>
                        <h3>Ответ №2.</h3>
                        <input type="checkbox" name="is_correct_2" id="two">
                        <label for="two">Правильный</label>
                        <textarea style="width: 100%;" name="answer_text_ru_2" required placeholder="Текст ответа на русском языке">{{ isset($data)?$data['answer_text_ru_2']:"" }}</textarea>
                        <textarea style="width: 100%;" name="answer_text_kz_2" required placeholder="Текст ответа на казахском языке">{{ isset($data)?$data['answer_text_kz_2']:"" }}</textarea>
                    </div>
                    <hr>
                    <div>
                        <h3>Ответ №3.</h3>
                        <input type="checkbox" name="is_correct_3" id="three">
                        <label for="three">Правильный</label>
                        <textarea style="width: 100%;" name="answer_text_ru_3" required placeholder="Текст ответа на русском языке">{{ isset($data)?$data['answer_text_ru_3']:"" }}</textarea>
                        <textarea style="width: 100%;" name="answer_text_kz_3" required placeholder="Текст ответа на казахском языке">{{ isset($data)?$data['answer_text_kz_3']:"" }}</textarea>
                    </div>
                    <hr>
                    <div class="next-questions">
                        <button type="submit">Сохранить</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection

resources/views/admin/create_test.blade.php
@extends('layouts.admin')

@section('styles')
    <link rel="stylesheet" href="{{ asset('css/myStyles.css') }}">
    <link rel="stylesheet" href="{{ asset('css/musical.css') }}">
    <link rel="stylesheet" href="{{ asset('css/new_change_country.css') }}">
@endsection

@section('content')
    @include('admin.admin_menu')
    <div class="admin_block-body">
        <div class="admin-add-block">
            <form action="{{ routex('tests.store') }}" method="post">
                @csrf
                <h4>По какой теме тест</h4>
                <select style="width: 100%;" name="theme_id" required id="theme">
                    @foreach($themes as $theme)
                        <option value="{{ $theme->id }}">{{ $theme->name_ru }}</option>
                    @endforeach
                </select>
                <br><br>

                <h4>Для какого класса</h4>
                <select style="width: 100%;" name="subcategory_id" required id="class">
                    <option></option>
                    @foreach($classes as $class)
                        <option value="{{ $class->id }}">{{ $class->name }}</option>
                    @endforeach
                </select>
                <br><br>

                <h4>К какому уроку</h4>
                <select style="width: 100%;" name="lesson_id" required id="lesson">
                    <option></option>
                </select>
                <br><br>

                <h4>Описание теста на русском (необязательно)</h4>
                <textarea style="width: 100%;" name="text_ru"></textarea>
                <br><br>

                <h4>Описание теста на казахском (необязательно)</h4>
                <textarea style="width: 100%;" name="text_kz"></textarea>
                <br><br>

                <button type="submit">Сохранить</button>
            </form>
        </div>
    </div>
@endsection

resources/views/admin/index.blade.php
@extends('layouts.admin')

@section('styles')
    <link rel="stylesheet" href="{{ asset('css/myStyles.css') }}">
    <link rel="stylesheet" href="{{ asset('css/musical.css') }}">
    <link rel="stylesheet" href="{{ asset('css/new_change_country.css') }}">
@endsection

@section('content')
    @include('admin.admin_menu')
            <div class="admin_block-body">
                <div class="admin-add-block">

                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/admin/lessons_all.blade.php
@extends('layouts.admin')

@section('styles')
    <link rel="stylesheet" href="{{ asset('css/myStyles.css') }}">
    <link rel="stylesheet" href="{{ asset('css/musical.css') }}">
    <link rel="stylesheet" href="{{ asset('css/new_change_country.css') }}">
@endsection

@section('content')
    @include('admin.admin_menu')
    <div class="admin_block-body" style="overflow-x: auto;">
        <div class="admin-body-header">
            <h3>Добавленные уроки</h3>
            <a href="{{ routex('lessons.create') }}">Добавить урок</a>
        </div>
        <table border="1" class="table-lessons">
            <thead>
                <tr>
                    <td>Название (RU)</td>
                    <td>Название (KZ)</td>
                    <td>Видео (RU)</td>
                    <td>Видео (KZ)</td>
                    <td>Тематика</td>
                    <td>Класс</td>
                    <td>Изменить</td>
                    <td>Удалить</td>
                </tr>
            </thead>
            @if($lessons->count()>0)
                @foreach($lessons as $lesson)
                    <tr>
                        <td>{{ $lesson->name_ru }}</td>
                        <td>{{ $lesson->name_kz }}</td>
                        <td>
                            <a href="https://www.youtube.com/embed/{{ $lesson->src_ru }}?rel=0&showinfo=0" target="_blank">https://www.youtube.com/embed/{{ $lesson->src_ru }}?rel=0&showinfo=0</a>
                        </td>
                        <td>
                            <a href="https://www.youtube.com/embed/{{ $lesson->src_kz }}?rel=0&showinfo=0" target="_blank">https://www.youtube.com/embed/{{ $lesson->src_ru }}?rel=0&showinfo=0</a>
                        </td>
                        <td>{{ $lesson->theme->name_ru }}</td>
                        <td>{{ $lesson->subcategory->name }}</td>
                        <td>
                            <a href="{{ route('lessons.edit', $lesson->id) }}">Изменить</a>
                        </td>
                        <td>
                            <form method="post" action="{{ route('lessons.destroy', $lesson->id) }}">
                                @method('delete')
                                @csrf
                                <button type="submit">X</button>
                            </form>
                        </td>
                    </tr>
                @endforeach
            @endif
        </table>
    </div>
@endsection

resources/views/admin/login.blade.php
@extends('layouts.admin')

@section('styles')
    <link rel="stylesheet" href="{{ asset('css/myStyles.css') }}">
    <link rel="stylesheet" href="{{ asset('css/musical.css') }}">
    <link rel="stylesheet" href="{{ asset('css/new_change_country.css') }}">
    <style>
        .admin_block-body {
            width: 100%;
            text-align: center;
        }
        .admin_block-body .admin-add-block {
            display: inline;
        }
    </style>
@endsection

@section('content')
    <div class="admin_block-body">
        <div class="admin-add-block">
            <span>
                @if($errors)
                    {{ $errors->error->first() }}
                @endif
            </span>
            <form method="POST" action="{{ route('admin.isAdmin') }}">
                @csrf
                <label for="email">E-mail</label>
                <input type="text"  id="email" name="email" placeholder="Введите Ваш E-mail">

                <div class="d-flex w-260 justify-content-between">
                    <label for="password">Пароль</label>
                </div>
                <input type="password" id="password" name="password" required>

                <button class="registration">{{ __("main.login") }}</button>
            </form>
        </div>
    </div>

@endsection

resources/views/admin/media_all.blade.php
@extends('layouts.admin')

@section('styles')
    <link rel="stylesheet" href="{{ asset('css/myStyles.css') }}">
    <link rel="stylesheet" href="{{ asset('css/musical.css') }}">
    <link rel="stylesheet" href="{{ asset('css/new_change_country.css') }}">
@endsection

@section('content')
    @include('admin.admin_menu')
    <div class="admin_block-body" style="overflow-x: auto;">
        <div class="admin-body-header">
            <h3>Добавленные медиа-ссылки</h3>
            <a href="{{ routex('media.create') }}">Добавить медиа-ссылку</a>
        </div>
        <table border="1" class="table-media">
            <thead>
            <tr>
                <td>Название</td>
                <td>Ссылка</td>
                <td>Описание</td>
                <td>Тематика</td>
                <td>Класс</td>
                <td>Язык</td>
                <td>Изменить</td>
                <td>Удалить</td>
            </tr>
            </thead>
            @if($medias->count()>0)
                @foreach($medias as $media)
                    <tr>
                        <td>{{ $media->name }}</td>
                        <td>
                            <a href="https://www.youtube.com/embed/{{ $media->src }}?rel=0&showinfo=0" target="_blank">https://www.youtube.com/embed/{{ $media->src }}?rel=0&showinfo=0</a>
                        </td>
                        <td>
                            {{ $media->description }}
                        </td>
                        <td>{{ $media->theme->name_ru }}</td>
                        <td>{{ $media->subcategory->name }}</td>
                        <td>{{ $media->locale }}</td>
                        <td>
                            <a href="{{ route('media.edit', $media->id) }}">Изменить</a>
                        </td>
                        <td>
                            <form method="post" action="{{ route('media.destroy', $media->id) }}">
                                @method('delete')
                                @csrf
                                <button type="submit">X</button>
                            </form>
                        </td>
                    </tr>
                @endforeach
            @endif
        </table>
    </div>
@endsection